## saldo 0.7.0

=== requirements.txt ===
fints
mt-940
cryptography
schwifty

=== debian/changelog ===
saldo (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 06 Jan 2024 23:30:45 +0100

saldo (0.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1013317)

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 18 Oct 2023 17:32:25 +0200

=== debian/control ===
Source: saldo
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>, Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 meson (>= 0.51.0),
 libadwaita-1-dev (>= 1.2.0),
 python3-cryptography,
 python3-fints,
 python3-gi,
 python3-schwifty,
 libxml2-utils,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/tabos/saldo
Vcs-Browser: https://salsa.debian.org/gnome-team/saldo
Vcs-Git: https://salsa.debian.org/gnome-team/saldo.git

Package: saldo
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gir1.2-adw-1 (>= 1.2),
 python3:any,
 python3-cryptography,
 python3-fints,
 python3-gi,
 python3-mt-940,
 python3-schwifty,
Description: Banking application to show transactions
 Saldo is a banking application that can show and author transactions.
 Multiple accounts and statistics are supported.
 .
 Currently only European banks supporting FinTS are supported.
 UK and US banks won't work.
 .
 The executable is named org.tabos.saldo.

=== debian/watch ===
version = 4
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/saldo-$1\.tar\.gz/ \
   https://gitlab.com/tabos/saldo/tags?sort=updated_desc archive/v?\d[\d.]+/saldo-v?([\d.]+)@ARCHIVE_EXT@

## saldo 0.8.0

=== requirements.txt ===
fints
enum-tools>=0.12.0
mt-940
cryptography
schwifty

=== debian/changelog ===
saldo (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Updated my mail address
  * d/control: (Build-)depend on python3-enum-tools
  * d/control: Build-Depend on blueprint-compiler
  * d/control: Build-Depend on desktop-file-utils

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:13:52 +0100

saldo (0.7.0-3) unstable; urgency=medium

  * Team upload
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:40:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <werdahias@riseup.net>, Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
+Uploaders: Matthias Geiger <werdahias@debian.org>, Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  meson (>= 0.51.0),
+ blueprint-compiler,
+ desktop-file-utils,
  libadwaita-1-dev (>= 1.2.0),
  python3-cryptography,
+ python3-enum-tools (>= 0.12),
  python3-fints,
  python3-gi,
  python3-schwifty,
  libxml2-utils,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/tabos/saldo
 Vcs-Browser: https://salsa.debian.org/gnome-team/saldo
 Vcs-Git: https://salsa.debian.org/gnome-team/saldo.git
@@ -27,6 +30,7 @@
  gir1.2-adw-1 (>= 1.2),
  python3:any,
  python3-cryptography,
+ python3-enum-tools,
  python3-fints,
  python3-gi,
  python3-mt-940,

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/tabos/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## saldo 0.8.2

=== debian/changelog ===
saldo (0.8.2-1) unstable; urgency=medium

  * Team upload
  * Remove obsolete direct Depends: python3-enum-tools
  * Bump Standards Version to 4.7.2
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Nov 2025 15:13:19 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>, Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,12 +11,11 @@
  desktop-file-utils,
  libadwaita-1-dev (>= 1.2.0),
  python3-cryptography,
- python3-enum-tools (>= 0.12),
  python3-fints,
  python3-gi,
  python3-schwifty,
  libxml2-utils,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/tabos/saldo
 Vcs-Browser: https://salsa.debian.org/gnome-team/saldo
 Vcs-Git: https://salsa.debian.org/gnome-team/saldo.git
@@ -25,12 +23,10 @@
 Package: saldo
 Architecture: all
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
  gir1.2-adw-1 (>= 1.2),
  python3:any,
  python3-cryptography,
- python3-enum-tools,
  python3-fints,
  python3-gi,
  python3-mt-940,

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.com/tabos/@PACKAGE@

## saldo 0.8.4

=== debian/changelog ===
saldo (0.8.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Build-Depends: appstream
  * Bump minimum libadwaita
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 18:44:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: saldo
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>, Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ appstream,
  meson (>= 0.51.0),
  blueprint-compiler,
  desktop-file-utils,
- libadwaita-1-dev (>= 1.2.0),
+ libadwaita-1-dev (>= 1.8.0),
  python3-cryptography,
  python3-fints,
  python3-gi,
  python3-schwifty,
  libxml2-utils,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/tabos/saldo
-Vcs-Browser: https://salsa.debian.org/gnome-team/saldo
-Vcs-Git: https://salsa.debian.org/gnome-team/saldo.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/saldo
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/saldo.git
 
 Package: saldo
 Architecture: all
 Depends:
  ${misc:Depends},
- gir1.2-adw-1 (>= 1.2),
+ gir1.2-adw-1 (>= 1.8.0),
  python3:any,
  python3-cryptography,
  python3-fints,
